petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatPartitioningGetType

Gets the Partitioning method type and name (as a string) from the partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningGetType(MatPartitioning partitioning,MatPartitioningType *type)

Not collective

### Input Parameter

partitioning -the partitioning context

### Output Parameter

type -partitioner type

Not Collective

### Level

intermediate

### Location

src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages